﻿namespace VK.Lib
{

	/// <summary>
	/// 
	/// </summary>
	public enum VkontakteScopeList
	{
		/// <summary>
		/// Користувач дозволив надсилати йому оповіщення.
		/// </summary>
		notify = 1,
		/// <summary>
		/// Доступ до друзів.
		/// </summary>
		friends = 2,
		/// <summary>
		/// Доступ до фотографій.
		/// </summary>
		photos = 4,
		/// <summary>
		/// Доступ до аудіо.
		/// </summary>
		audio = 8,
		/// <summary>
		/// Доступ до відео.
		/// </summary>
		video = 16,
		/// <summary>
		/// Доступ до пропозицій.
		/// </summary>
		offers = 32,
		/// <summary>
		/// Доступ до запитань.
		/// </summary>
		questions = 64,
		/// <summary>
		/// Доступ до wiki-сторінок.
		/// </summary>
		pages = 128,
		/// <summary>
		/// Додавання посилання на додаток в меню зліва.
		/// </summary>
		link = 256,
		/// <summary>
		/// Додавання посилання на додаток для швидкої публікації на стінах користувачів.
		/// </summary>
		speedWallPublish = 512,
		/// <summary>
		/// Доступ до статусу.
		/// </summary>
		status = 1024,
		/// <summary>
		/// Доступ до нотаток користувача.
		/// </summary>
		notes = 2048,
		/// <summary>
		/// Доступ до розширених методів роботи з повідомленнями.
		/// </summary>
		messages = 4096,
		/// <summary>
		/// Доступ до звичайних і розширених методів роботи зі стіною.
		/// </summary>
		wall = 8192,
		/// <summary>
		/// Доступ до функцій для роботи з рекламним кабінетом.
		/// </summary>
		advertisingOffice = 32768,
		/// <summary>
		/// Доступ до документів користувача.
		/// </summary>
		docs = 131072,
		/// <summary>
		/// Доступ до груп користувача.
		/// </summary>
		usersGroups = 262144,
		/// <summary>
		/// Доступ до оповіщень про відповіді користувачу.
		/// </summary>
		usersNotifications = 524288
	}

}